Wargame: European Escalation

Wargame: European Escalation

View Stats:
psisoulja Jul 18, 2013 @ 10:41am
[LINUX] Game does not start
So I played wargame a few times, everything was smooth and set on high. No problems, however I found the popup for the key to be rather annoying so I unchecked it so it never shows again. This is where things went south. Now when I try to play the game nothing happens. Weird, so I switch over to terminal and now I have this:

./Wargame: error while loading shared libraries: libsteam_api.so: cannot open shared object file: No such file or directory

Anyone able to help with this? Maybe if I can find a way for the CD-KEY to pop back up it will be good to go?

Thinks I've done:
Verify files
Deleted/reinstalled (twice)
libsteam_api_so is in the directory

Last edited by psisoulja; Jul 18, 2013 @ 10:44am
< >
Showing 1-7 of 7 comments
MooseTheBrown Jul 18, 2013 @ 11:52pm 
I get the same error when I try to launch a game by directly invoking its executable. Applies to any Steam game, not just wargam. When I start through Steam client though, everything's fine
Technician Jul 19, 2013 @ 3:10am 
Are you running the Steam beta?
psisoulja Jul 22, 2013 @ 10:29pm 
Yeah, at this post I was running in Fedora. I've switched over to Ubuntu now (tryin dif distro's) and everything works fine to include L4D2 which wouldn't run for me in Fedora.
noccy Jul 23, 2013 @ 4:23pm 
Core dump here, Linux with ATI Mobility Crapdeon HD4250, official drivers (beta drivers not support). Works excellent on a similar setup with Nvidia graphics tho.
almightyUser Jul 26, 2014 @ 8:09pm 
Same problem here. Running on Steam Beta. I was able to get passed this with with the following script and creating symbolic links to steam versions of libssl and libcrypto, but I still get other errors,

export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:'./libsteam_api.so'
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:'/home/al/.steam/bin32/steamclient.so'


./Wargame: libssl.so.1.0.0: no version information available (required by ./Wargame)
./Wargame: libcrypto.so.1.0.0: no version information available (required by ./Wargame)
[S_API FAIL] SteamAPI_Init() failed; Sys_LoadModule failed to load: /home/al/.steam/bin32/steamclient.so
[S_API FAIL] SteamAPI_Init() failed; unable to locate a running instance of Steam, or a local steamclient.dll.
Warning: Missing charsets in String to FontSet conversion
almightyUser Jul 26, 2014 @ 8:12pm 
Also, this game worked before when running through Steam. Now a narrow window appears and crashes after a second when I try it. Not sure what happened but I am unable to play this game now.
ErcVitez Sep 22, 2014 @ 9:07am 
Fine with Xubuntu 14.04 (x64) and nvidia proprietary 331, native Steam. Out of the box.
Last edited by ErcVitez; Sep 22, 2014 @ 9:07am
< >
Showing 1-7 of 7 comments
Per page: 15 30 50

Date Posted: Jul 18, 2013 @ 10:41am
Posts: 7